Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.resolve
Class SEPSelector

    java.lang.Object
      org.openxri.resolve.SEPSelector

    public class SEPSelector

extends java.lang.Object

Constructor Summary
`SEPSelector(java.util.ArrayList pSeps)`

Method Summary
`java.util.ArrayList` | `getSelectedSEPs(java.lang.String type, java.lang.String mediaType, java.lang.String path)`
`static boolean` | `isDefaultMatch(SEPElement sel)`
`boolean` | `matchContent(SEPElement candidate)`
`boolean` | `matchContent(SEPMediaType mtype)`
`boolean` | `matchContent(SEPPath path)`
`boolean` | `matchContent(SEPType type)`
`static boolean` | `matchMediaType(java.lang.String selMediaType, java.lang.String inMediaType)`
`static boolean` | `matchPath(java.lang.String selPath, java.lang.String inPath)`
`static boolean` | `matchType(java.lang.String selType, java.lang.String inType)`
`void` | `reset()`
`static java.util.List` | `select(java.util.List seps, java.lang.String inType, java.lang.String inMediaType, java.lang.String inPath, ResolverFlags flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SEPSelector

    public SEPSelector(java.util.ArrayList pSeps)

Method Detail

### select

    public static java.util.List select(java.util.List seps,
                                        java.lang.String inType,
                                        java.lang.String inMediaType,
                                        java.lang.String inPath,
                                        ResolverFlags flags)

### isDefaultMatch

    public static boolean isDefaultMatch(SEPElement sel)

### matchType

    public static boolean matchType(java.lang.String selType,
                                    java.lang.String inType)

### matchPath

    public static boolean matchPath(java.lang.String selPath,
                                    java.lang.String inPath)

### matchMediaType

    public static boolean matchMediaType(java.lang.String selMediaType,
                                         java.lang.String inMediaType)

### reset

    public void reset()

### getSelectedSEPs

    public java.util.ArrayList getSelectedSEPs(java.lang.String type,
                                               java.lang.String mediaType,
                                               java.lang.String path)

### matchContent

    public boolean matchContent(SEPElement candidate)

### matchContent

    public boolean matchContent(SEPType type)

### matchContent

    public boolean matchContent(SEPPath path)

### matchContent

    public boolean matchContent(SEPMediaType mtype)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.